#### 3.2.5 Specials

Syntax:

         special $raw_text$[lay=lay_value] point_list

Here `$` can be any character and is used to delimit the start and end of raw_text. The command embeds raw_text in the `sketch` output after performing substitutions as follows.

- `#`i where i is a positive integer is replaced by the i'th point in point_list.
- `#{`i`}` is also replaced as above.
- `#`i`-`j where i and j are positive integers is replaced by a string `{`angle`}` where angle is the polar angle of a vector from the i'th point in point_list to the j'th.
- `#{`i`-`j`}` is also replaced as above.
- `##` is replaced with `#`.

The forms with braces { } are useful when the argument is immediately followed by a digit that is part of the TeX code.

The only useful option of `special` is `lay`. See Internal options.